package com.bytedance.android.livesdk.model;

import com.bytedance.android.livesdk.model.message.common.Text;
import com.bytedance.covode.number.Covode;
import com.google.gson.a.c;

public final class HourlyRankSlidePage {
    public static final Long LIZ = 0L;
    @c(LIZ = "duration")
    public Long LIZIZ;
    @c(LIZ = "content")
    public Text LIZJ;
    @c(LIZ = "background_color")
    public String LIZLLL;
    @c(LIZ = "scheme_link")
    public String LJ;

    static {
        Covode.recordClassIndex(18857);
    }

    public final String toString() {
        StringBuilder sb = new StringBuilder();
        if (this.LIZIZ != null) {
            sb.append(", duration=");
            sb.append(this.LIZIZ);
        }
        if (this.LIZJ != null) {
            sb.append(", content=");
            sb.append(this.LIZJ);
        }
        if (this.LIZLLL != null) {
            sb.append(", background_color=");
            sb.append(this.LIZLLL);
        }
        if (this.LJ != null) {
            sb.append(", scheme_link=");
            sb.append(this.LJ);
        }
        sb.replace(0, 2, "HourlyRankSlidePage{");
        sb.append('}');
        return sb.toString();
    }
}
